Bug 1206744 - current glusterfs fails to build on Ubuntu Precise: 'RDMA_OPTION_ID_REUSEADDR' undeclared
Summary: current glusterfs fails to build on Ubuntu Precise: 'RDMA_OPTION_ID_REUSEADDR...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: rdma
Version: mainline
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 23:56 UTC by Niels de Vos
Modified: 2015-05-11 11:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 11:08:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1201484 0 high CLOSED glusterfs-3.6.2 fails to build on Ubuntu Precise: 'RDMA_OPTION_ID_REUSEADDR' undeclared 2021-02-22 00:41:40 UTC

Description Niels de Vos 2015-03-27 23:56:34 UTC
+++ This bug was initially created as a clone of Bug #1201484 +++

PPA only provides packages for the latest LTS release.
the upstream bug report seems stalled: https://github.com/semiosis/glusterfs-debian/issues/7

--- Additional comment from Niels de Vos on 2015-03-26 15:07:01 CET ---

See the build log at https://launchpadlibrarian.net/198231851/buildlog_ubuntu-precise-amd64.glusterfs_3.6.2-ubuntu1~precise2_FAILEDTOBUILD.txt.gz

Comment 1 Anand Avati 2015-03-27 23:57:16 UTC
REVIEW: http://review.gluster.org/10028 (build:change dependency for librdmacm to version >= 1.0.15) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 2 Anand Avati 2015-03-30 05:57:49 UTC
REVIEW: http://review.gluster.org/10028 (build:change dependency for librdmacm to version >= 1.0.15) posted (#3) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 3 Anand Avati 2015-03-30 10:03:14 UTC
REVIEW: http://review.gluster.org/10028 (build:change dependency for librdmacm to version >= 1.0.15) posted (#4) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 4 Anand Avati 2015-03-30 16:45:15 UTC
COMMIT: http://review.gluster.org/10028 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 8277b02a947ea63d438a77eb1335466ae5060b00
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Fri Mar 27 23:43:05 2015 +0530

    build:change dependency for librdmacm to version >= 1.0.15
    
    Thanks to Niels for the fix
    
    Change-Id: I0954b6f498461dde2b986da9e0e45775175249c9
    BUG: 1206744
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/10028
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>


Note You need to log in before you can comment on or make changes to this bug.